gr::radar::split_cc Class Reference

This block splits a tagged stream into segments. As packet_parts you give the structure of the packet, e.g. (10, 20, 5). With the packet number you can choose which packet shall be pushed to output. Counting begins on zero. E.g. packet_num=1 returns 20 items. More...

`#include <split_cc.h>`

Inheritance diagram for gr::radar::split_cc:

## Public Types

typedef std::shared_ptr< split_cc > | sptr

## Static Public Member Functions

static sptr | make (int packet_num, const std::vector< int > packet_parts, const std::string &len_key="packet_len")
| Return a shared_ptr to a new instance of radar::split_cc.

## Detailed Description

This block splits a tagged stream into segments. As packet_parts you give the structure of the packet, e.g. (10, 20, 5). With the packet number you can choose which packet shall be pushed to output. Counting begins on zero. E.g. packet_num=1 returns 20 items.

Parameters

  packet_num | Number of packet to push to output
  packet_parts | Packet structure as vector of packet length
  len_key | Packet length key for tagged stream

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<split_cc> gr::radar::split_cc::sptr

## Member Function Documentation

## make()

sptr gr::radar::split_cc::make | ( | int | packet_num,
|  | const std::vector< int > | packet_parts,
|  | const std::string & | len_key = "packet_len" )

static

Return a shared_ptr to a new instance of radar::split_cc.

To avoid accidental use of raw pointers, radar::split_cc's constructor is in a private implementation class. radar::split_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- split_cc.h